BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define milestone	M3


Name:		axion
Summary:	Axion RDBMS 
Url:		http://axion.tigris.org/
Version:	1.0
Release:	alt1_0.M3.2jpp1.7
Epoch:		0
License:	Apache / BSD -style License
Group:		Development/Java
BuildArch:	noarch
Source0:	axion-1.0-M3-cvs040914-src.tar.gz
# cvs -d :pserver:anoncvs@cvs.tigris.org:/cvs login
# cvs -d :pserver:anoncvs@cvs.tigris.org:/cvs export -r HEAD axion

BuildRequires: jpackage-utils >= 0:1.5
BuildRequires: ant >= 0:1.6
BuildRequires: junit >= 0:3.7
BuildRequires: javacc >= 0:3.1
BuildRequires: jakarta-commons-codec >= 0:1.1
BuildRequires: jakarta-commons-collections >= 0:2.1
BuildRequires: jakarta-commons-primitives >= 0:1.0
BuildRequires: jakarta-commons-logging >= 0:1.0
BuildRequires: regexp >= 0:1.2
Requires: jakarta-commons-codec >= 0:1.1
Requires: jakarta-commons-collections >= 0:2.1
Requires: jakarta-commons-primitives >= 0:1.0
Requires: jakarta-commons-logging >= 0:1.0
Requires: regexp >= 0:1.2

%description
Axion is a small, fast, open source relational 
database system (RDBMS) supporting SQL and JDBC 
written in and for the Java programming language.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;

%build
export OPT_JAR_LIST="ant/ant-junit junit ant/ant-nodeps javacc"
export CLASSPATH=$(build-classpath \
javacc \
commons-codec \
commons-collections \
commons-primitives \
commons-logging \
regexp \
)
CLASSPATH=$CLASSPATH:bin/classes:bin/test/classes
ant -Djavacc.home=%{_javadir} -Dbuild.sysclasspath=only jar doc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 bin/%{name}-%{version}-%{milestone}-dev.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr bin/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%doc LICENSE.txt
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Mon Oct 29 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt1_0.M3.2jpp1.7
- converted from JPackage by jppimport script

